package com.eactive.eai.common.c2rservice;

import java.io.Serializable;

import com.eactive.eai.common.message.EAIMessageKeys;


public class C2RServiceVO implements EAIMessageKeys, Serializable {
	private static final long serialVersionUID = 1L;
	
	private String	c2rExtnlInstiCd;    // 외부기관식별명           [TSEAIHE04.extnlinstiidnfiname]
	private int		svcPssSeq;          // 서비스처리순서           [TSEAIHE04.svcprcssno]
	private String	psvItfTp;           // 수동인터페이스유형       [TSEAIHE04.psvintfacdsticname]
	private String	psvBwkSysNm;        // 수동업무시스템명         [TSEAIHE04.psvsysbzwkdstcd]
	private String	psvSysID;           // 수동시스템ID            [TSEAIHE04.psvsysidname]
	private String	psvSysSvcCd;        // 수동시스템서비스코드     [TSEAIHE04.psvsyssvcdsticname]
	private String	psvSysItfTp;        // 수동시스템어댑터업무그룹명 [TSEAIHE04.psvsysadptrbzwkgroupname]
	private String	flOvrCls;           // FailOver여부         [TSEAIHE04.flovryn]
	private String	cnvEn;              // 변환유무                	[TSEAIHE04.chngeonot]
	private String	cnvMsgID;           // 변환메시지ID            	[TSEAIHE04.chngmsgidname]
	private String	bsRspMsgCprVl;      // 기본응답메시지비교값    	 [TSEAIHE04.bascrspnsmsgcmprctnt]
	private String	bsRspCnvEn;         // 기본응답변환유무        	[TSEAIHE04.bascrspnschngeonot]
	private String	bsRspCnvMsgID;      // 기본응답변환메시지ID    	[TSEAIHE04.bascrspnschngmsgidname]
	private String	errRspMsgCprVl;     // 오류응답메시지비교값     [TSEAIHE04.errrspnsmsgcmprctnt]
	private String	errRspCnvEn;        // 오류응답변환유무        [TSEAIHE04.errrspnschngeonot]
	private String	errRspCnvMsgID;     // 오류응답변환메시지ID    [TSEAIHE04.errrspnschngmsgidname]
	private int		nxtSvcPssSeq;       // 다음서비스처리번호      [TSEAIHE04.nextsvcprcssno]
	private String	outbRtnNm;          // Outbound라우팅명       [TSEAIHE04.outbndroutname]
	private int		tmoVl;              // 타임아웃값              [TSEAIHE04.toutval]
	private String	cpnsSvcPssCd;       // 보상서비스처리코드      [TSEAIHE04.cmpensvcprcssdsticname]
	
	private String	supplDelYn;         // 추가삭제여부            [TSEAIHE04.suppldelyn]
	private String	hdrCtrlDstcd;       // 헤더제어구분코드        [TSEAIHE04.hdrctrldstcd]
	private String	hdrRefClsName;      // 참고클래스명            [TSEAIHE04.hdrrefclsname]
	private String	useYn;              // 사용여부                [TSEAIHE04.useyn]
    
    public String getSupplDelYn() {
		return supplDelYn;
	}

	public void setSupplDelYn(String supplDelYn) {
		this.supplDelYn = supplDelYn;
	}

    public String getHdrCtrlDstcd() {
		return hdrCtrlDstcd;
	}

	public void setHdrCtrlDstcd(String hdrCtrlDstcd) {
		this.hdrCtrlDstcd = hdrCtrlDstcd;
	}

	public String getHdrRefClsName() {
		return hdrRefClsName;
	}

	public void setHdrRefClsName(String hdrRefClsName) {
		this.hdrRefClsName = hdrRefClsName;
	}
		
    public String getC2rExtnlInstiCd() {
        return this.c2rExtnlInstiCd;
    }
    
    public void setC2rExtnlInstiCd(String c2rExtnlInstiCd) {
        this.c2rExtnlInstiCd = c2rExtnlInstiCd;
    }
    
    public String getBsRspCnvEn() {
		return bsRspCnvEn;
	}

	public boolean isBsRspCnvEn() {
		return this.bsRspCnvEn.equals( YES_FLAG );
	}
	
	public void setBsRspCnvEn(String bsRspCnvEn) {
		this.bsRspCnvEn = bsRspCnvEn;
	}
    
	public String getBsRspCnvMsgID() {
		return bsRspCnvMsgID;
	}

	public void setBsRspCnvMsgID(String bsRspCnvMsgID) {
		this.bsRspCnvMsgID = bsRspCnvMsgID;
	}
    
	public String getBsRspMsgCprVl() {
		return bsRspMsgCprVl;
	}

	public void setBsRspMsgCprVl(String bsRspMsgCprVl) {
		this.bsRspMsgCprVl = bsRspMsgCprVl;
	}
 
	public String getCnvEn() {
		return cnvEn;
	}

	public boolean isCnvEn() {
		return this.cnvEn.equals( YES_FLAG );
	}

	public void setCnvEn(String cnvEn) {
		this.cnvEn = cnvEn;
	}

	public String getCnvMsgID() {
		return cnvMsgID;
	}

	public void setCnvMsgID(String cnvMsgID) {
		this.cnvMsgID = cnvMsgID;
	}

	public String getCpnsSvcPssCd() {
		return cpnsSvcPssCd;
	}

	public void setCpnsSvcPssCd(String cpnsSvcPssCd) {
		this.cpnsSvcPssCd = cpnsSvcPssCd;
	}

	public String getErrRspCnvEn() {
		return errRspCnvEn;
	}

	public boolean isErrRspCnvEn() {
		return this.errRspCnvEn.equals( YES_FLAG );
	}

	public void setErrRspCnvEn(String errRspCnvEn) {
		this.errRspCnvEn = errRspCnvEn;
	}

	public String getErrRspCnvMsgID() {
		return errRspCnvMsgID;
	}

	public void setErrRspCnvMsgID(String errRspCnvMsgID) {
		this.errRspCnvMsgID = errRspCnvMsgID;
	}

	public String getErrRspMsgCprVl() {
		return errRspMsgCprVl;
	}

	public void setErrRspMsgCprVl(String errRspMsgCprVl) {
		this.errRspMsgCprVl = errRspMsgCprVl;
	}

	public String getFlOvrCls() {
		return flOvrCls;
	}

	public boolean hasFailOver() {
		return this.flOvrCls.equals( YES_FLAG );
	}

	public void setFlOvrCls(String flOvrCls) {
		this.flOvrCls = flOvrCls;
	}

	public int getNxtSvcPssSeq() {
		return nxtSvcPssSeq;
	}

	public void setNxtSvcPssSeq(int nxtSvcPssSeq) {
		this.nxtSvcPssSeq = nxtSvcPssSeq;
	}

	public String getOutbRtnNm() {
		return outbRtnNm;
	}

	public void setOutbRtnNm(String outbRtnNm) {
		this.outbRtnNm = outbRtnNm;
	}

	public String getPsvBwkSysNm() {
		return psvBwkSysNm;
	}

	public void setPsvBwkSysNm(String psvBwkSysNm) {
		this.psvBwkSysNm = psvBwkSysNm;
	}

	public String getPsvItfTp() {
		return psvItfTp;
	}

	public boolean isSyncItfTp() {
		return this.psvItfTp.equals( SYNC_SVC );
	}

	public boolean isAckItfTp() {
		return this.psvItfTp.equals( ACKONLY_SVC );
	}

	public void setPsvItfTp(String psvItfTp) {
		this.psvItfTp = psvItfTp;
	}

	public String getPsvSysID() {
		return psvSysID;
	}

	public void setPsvSysID(String psvSysID) {
		this.psvSysID = psvSysID;
	}
	
	public String getPsvSysItfTp() {
		return psvSysItfTp;
	}
	

	public void setPsvSysItfTp(String psvSysItfTp) {
		this.psvSysItfTp = psvSysItfTp;
	}
	

	public String getPsvSysSvcCd() {
		return psvSysSvcCd;
	}

	public void setPsvSysSvcCd(String psvSysSvcCd) {
		this.psvSysSvcCd = psvSysSvcCd;
	}

	public int getTmoVl() {
		return tmoVl;
	}

	public boolean hasTimeOut() {
		return ( this.tmoVl > 0 );
	}

	public void setTmoVl(int tmoVl) {
		this.tmoVl = tmoVl;
	}
  
    public int getSvcPssSeq(){
        return svcPssSeq;
    }
 
    public void setSvcPssSeq(int seq){
        svcPssSeq = seq;
    }

	public String getUseYn() {
		return useYn;
	}

	public void setUseYn(String useYn) {
		this.useYn = useYn;
	}

}
